/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands;

import java.util.List;
import moe.nekojimi.chords.Main;
import net.dv8tion.jda.api.events.message.guild.GuildMessageReceivedEvent;

public class HelpCommand extends Command
{

    public HelpCommand(Main bot)
    {
        super(bot, "help");
    }

    @Override
    public void call(GuildMessageReceivedEvent event, List<String> arg)
    {
        String help = "Commands available:\n"
                + "!join <Channel>       - Joins a voice channel\n"
                + "!leave                - Leaves the current voice channel\n"
                + "!play <URL>           - Downloads the track at that URL and adds it to the queue.\n"
                + "!play <Search>        - Searches for a track and displays a selection menu.\n"
                + "!queue                - Show the songs currently playing and the current queue.\n"
                + "!remove <Index>       - Remove the song at position <Index> from the queue.\n"
                + "!skip                 - Skip the current song and play the next one.\n"
                + "!restart              - Try playing the current song again in case it goes wrong.\n";
//        for (String key: commands.keySet())
//        {
//            help += "!" + key + ":"
//        }
        event.getChannel().sendMessage(help).queue();
    }

}
